Issue 1333 can't push to current repository" error message is unclear

Title can't push to current repository" error message is unclear
Priority wishlist Status resolved
Milestone Resolved in
Superseder Nosy List darcs-devel, dmitry.kurochkin, kowey, mornfall, thorkilnaur, zooko
Assigned To

Created on 2009-01-28.02:30:33 by zooko, last changed 2009-08-27.14:17:27 by admin.

msg7237 (view) Author: zooko Date: 2009-01-28.02:30:30
Twice now I've witnessed users looking at "Can't push to current  
repository!" error message and not understanding that this means they  
were trying to push to the same repository as they were in.  They  
think "current repository" means "the one I'm trying to push to", not  
"the one I'm in".

How about "Can't push patches from a repository to itself."?  And  
leave off the exclamation point!


Tahoe, the Least-Authority Filesystem -- http://allmydata.org
store your data: $10/month -- http://allmydata.com/?tracking=zsig
msg7239 (view) Author: mornfall Date: 2009-01-28.14:41:56
The following patch updated the status of issue1333 to be resolved:

* Resolve issue1333: Improve "cannot push to current repository" warning. 
Ignore-this: 1cc9fe3631f323a9a66639f5a1cee8ce
Date User Action Args
2009-01-28 02:30:33zookocreate
2009-01-28 14:41:59mornfallsetstatus: unread -> resolved
nosy: + mornfall
messages: + msg7239
2009-04-22 02:42:53twbsetpriority: wishlist
nosy: kowey, zooko, simon, thorkilnaur, dmitry.kurochkin, mornfall
2009-08-25 17:40:06adminsetnosy: + darcs-devel, - simon
2009-08-27 14:17:27adminsetnosy: kowey, darcs-devel, zooko, thorkilnaur, dmitry.kurochkin, mornfall